Hermos API

Renew Embed Session

POST/embed_sessions/{id}/renew

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Opaque embed session ID.

Match^ems_[0-7][0-9abcdefghjkmnpqrstvwxyz]{25}$(?![\s\S])

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/embed_sessions/string/renew" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "object": "embed_session",  "audience": "customer_billing",  "subject": {    "type": "customer",    "id": "string"  },  "product": "string",  "allowed_origins": [    "string"  ],  "expires_at": "2019-08-24T14:15:22Z",  "idle_expires_at": "2019-08-24T14:15:22Z",  "livemode": true}